<?php
require '../init.php';

try {
	// 全てのエントリを取得
	$stmt = $db->prepare('SELECT * FROM guestbook ORDER BY id DESC');
	$stmt->execute();
	$rows = $stmt->fetchAll();
} catch (PDOException $e) {
	// データベースにアクセスできない
	trigger_error('DBにアクセスできません');
	exit;
}
?>
<html>
<head>
<title>ゲストブック - 一覧</title>
</head>
<body>
<p><a href="../post/">ゲストブックに記入する</a></p>
<?php if (empty($rows)): ?>
<p>ゲストブックが空です。</p>
<?php else: ?>
<table>
	 <?php foreach ($rows as $row): ?>
	 <tr><td>
	日時: <?php echo htmlentities($row['date_created'], ENT_QUOTES, 'UTF-8') ?><br />
	 件名：<?php echo htmlentities($row['title'],ENT_QUOTES, 'UTF-8') ?> <br />
 	 メッセージ:　<?php echo htmlentities($row['content'], ENT_QUOTES, 'UTF-8') ?><br />
	 </td>
	 </tr>
	 <?php endforeach; ?>
</table>
<?php endif; ?>
</body>
</html>
